﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TPLSamples.Infrastructure;

namespace TPLSamples.Models
{
	public abstract class Sample : DomainObject
	{
		public bool IsEnabled { get; set; }
		public TimeSpan RunTime { get; set; }

		public abstract string SampleName { get; }
		public abstract bool ImageRequired { get; }
		public abstract void Run(System.Drawing.Bitmap bmp = null, Action<string> updateLog = null);
	}
}
